com.google.gwt.user.client.ui

## Class LoadListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<LoadListener>
      - - com.google.gwt.user.client.ui.LoadListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<LoadListener>, java.util.Collection<LoadListener>, java.util.List<LoadListener>, java.util.RandomAccess

Deprecated.
Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

    @Deprecated
    public class LoadListenerCollection
    extends java.util.ArrayList<LoadListener>

A helper class for implementers of the SourcesLoadEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `LoadListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`LoadListenerCollection()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `fireError(Widget sender)` Deprecated. Fires an error event to all listeners.
`void` `fireLoad(Widget sender)` Deprecated. Fires a load event to all listeners.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### LoadListenerCollection

    public LoadListenerCollection()

Deprecated.

### Method Detail

#### fireError

    public void fireError(Widget sender)

Deprecated.
Fires an error event to all listeners.

Parameters:
  `sender` - the widget sending the event.

#### fireLoad

    public void fireLoad(Widget sender)

Deprecated.
Fires a load event to all listeners.

Parameters:
  `sender` - the widget sending the event.